## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanAllocationGuard Class Reference

List of all members.

## Public Types

- typedef size_t size_type

## Public Member Functions

- XalanAllocationGuard (MemoryManagerType &theMemoryManager, void *thePointer)
- XalanAllocationGuard (MemoryManagerType &theMemoryManager, size_type theSize)
- ~XalanAllocationGuard ()
- void * get () const
- void release ()

## Member Typedef Documentation

typedef size_t XalanAllocationGuard::size_type

## Constructor & Destructor Documentation

XalanAllocationGuard::XalanAllocationGuard | ( | MemoryManagerType & | theMemoryManager,
|  | void * | thePointer
| ) |

XalanAllocationGuard::XalanAllocationGuard | ( | MemoryManagerType & | theMemoryManager,
|  | size_type | theSize
| ) |

XalanAllocationGuard::~XalanAllocationGuard | ( |  | ) |

## Member Function Documentation

void* XalanAllocationGuard::get | ( |  | ) | const

void XalanAllocationGuard::release | ( |  | ) |

The documentation for this class was generated from the following file:

- XalanMemoryManagement.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.